﻿using System;
using System.Text;
using GCHR.Model.Konto;

namespace GCHR.Model.Mandant
{
    class Kia : IMandant
    {
        protected Konfiguration Config = Konfiguration.GetInstance();

        public bool BalanceDatei
        {
            get
            {
                return true;
            }
        }

        public bool AccountsDatei
        {
            get
            {
                return false;
            }
        }

        public string BalanceHeader
        {
            get
            {
                return string.Format("AA{0} {1}{2} ,20EUR", Config.HaendlernummerBmCode, Config.AktuellePeriode.Monat, Config.AktuellePeriode.JahrZweistellig);
            }
        }

        public string BalanceFooter
        {
            get
            {
                return string.Empty;
            }

        }

        public string BalanceBody(HaendlerKonto konto)
        {
            return (KontonummerFormatieren(konto) + ";" + string.Format("{0:0.00}", (konto.Summe)) + ";" + konto.Bezeichnung);
        }


        public string AccountsHeader
        {
            get
            {
                return "Account Code".PadRight(42, ' ') + "Description";
            }
        }

        public string AccountsBody(HaendlerKonto konto)
        {
            return KontonummerFormatieren(konto).PadRight(42, ' ') + konto.Bezeichnung;
        }

        public string AccountsFooter
        {
            get
            {
                return string.Empty;
            }

        }

        public string KontonummerFormatieren(HaendlerKonto konto)
        {
            var kto = konto.Kontonummer.Split(new[] { '_' });
            var kto2 = (kto.Length > 1) ? "_" + kto[1] : "";
            return kto[0] + "_" + konto.Marke + konto.Betrieb + kto2;
        }

        public Encoding Encoding
        {
            get { return Encoding.Default; }
        }
    }
}
