﻿namespace GCHR.Model.Mandant
{
    class MandantFactory
    {

        internal static IMandant Create(Mandanten mandanten)
        {
            switch (mandanten)
            {
                case Mandanten.Csv:
                    return new Csv();
                case Mandanten.Citroen:
                    return new Citroen();
                case Mandanten.CitroenSKR51:
                    return new Skr51Hbv() { MandantHauptmarke = Skr51Hbv.Hauptmarke.Citroen };
                case Mandanten.Fiat:
                    return new Fiat();
                case Mandanten.Ford:
                    return new Ford();
                case Mandanten.Honda:
                    return new Honda();
                case Mandanten.Hyundai:
                    return new Skr51Hbv() { MandantHauptmarke = Skr51Hbv.Hauptmarke.Hyundai };
                case Mandanten.Kia:
                    return new Kia();
                case Mandanten.KiaSKR51:
                    return new Skr51Hbv() { MandantHauptmarke = Skr51Hbv.Hauptmarke.Kia };
                case Mandanten.Landrover:
                    return new Landrover();
                case Mandanten.Opel:
                    return new Opel();
                case Mandanten.Peugeot:
                    return new Peugeot();
                case Mandanten.PeugeotSKR51:
                    return new Skr51Hbv() { MandantHauptmarke = Skr51Hbv.Hauptmarke.Peugeot };
                case Mandanten.Renault:
                    return new Renault();
                case Mandanten.Seat:
                    return new Volkswagen { MandantHauptmarke = Volkswagen.Hauptmarke.S };
                case Mandanten.Volkswagen:
                    return new Volkswagen();
                case Mandanten.Volvo:
                    return new Volvo();
                case Mandanten.VolvoAT:
                    return new VolvoAT();
            }
            return new Csv();
        }
    }
}
